View Issue Details

IDProjectCategoryView StatusLast Update
0002448unrealircdpublic2006-05-05 18:07
ReporterBeastieAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformamd64OSFreeBSDOS Version5.3
Product Version3.2.3 
Target VersionFixed in Version3.2.5 
Summary0002448: config.h IRC_UID and IRC_GID macros make no sense
DescriptionI modfified my config.h and started the IRCD as root, but it didn't change to the 6667 uid, which is an existing account, called ircd, it has a shell, and its home dir equals to the chroot dir.

#define CHROOTDIR "/usr/local/ircd"
#define IRC_UID 6667
#define IRC_GID 6667

Anyway, the chrooting works.
TagsNo tags attached.
3rd party modules

Relationships

child of 0002748 closedsyzop 3.2.5 Release 

Activities

syzop

2006-04-16 18:47

administrator   ~0011566

Hm.. not really an idea how that would be possible (it has always worked for me)... But I suppose it's a good idea to check the return values of our set*id calls :P.

syzop

2006-05-05 18:07

administrator   ~0011678

Return values are now checked.

Issue History

Date Modified Username Field Change
2005-03-27 05:27 Beastie New Issue
2006-04-16 18:47 syzop Note Added: 0011566
2006-04-16 18:47 syzop Relationship added child of 0002748
2006-05-05 18:07 syzop Status new => resolved
2006-05-05 18:07 syzop Fixed in Version => 3.2.5
2006-05-05 18:07 syzop Resolution open => fixed
2006-05-05 18:07 syzop Assigned To => syzop
2006-05-05 18:07 syzop Note Added: 0011678